職案人 さん プロフィール

  •  
職案人さん: 職案人
ハンドル名職案人 さん
ブログタイトル職案人
ブログURLhttp://blog.goo.ne.jp/siyokuanjin
サイト紹介文求職・歴史・仏教などについて掲載するつもりだが、自分の思いつきが多いブログだよ。適当に付き合って下さ
参加カテゴリー
更新頻度(1年)情報提供55回 / 365日(平均1.1回/週) - 参加 2015/03/05 12:00

職案人 さんのブログ記事

  • $_ENV (環境変数)
  • $_ENV (環境変数)■$_ENVとはPHPの定義済み変数の環境変数です。この変数は、現在のスクリプト(簡易的なプログラム)に渡された環境の値の変数です。ドキュメントルートのルートディレクトリやサーバーのIPアドレスなどの環境情報を取得することが出来ます。■$_ENVを使うには・php.iniファイルを書き換えるvariables_order="GPCS"からvariables_order="EGPCS"に■phpinfo() で環境変数$_ENVを確認参考サイトPHP $_ENV(環境変数) [続きを読む]
  • 大腸ポリープ切除後の処置に即いて
  • 大腸ポリープ切除後の処置に即いて【大腸ポリープの症状】・初期症状ポリープの初期は無痛の事が多く、大腸カメラ検査で発見される場合が多い!・ポリープが2cm以上(殆どはガンの疑い)個人差がありますが、ズキズキした腹痛、吐き気、血便、便秘と下痢を繰り返す、などの症状が現れる。【ポリープが出来やすい人】・便秘に成りやすい人、脂物が好きな人、アルコール、不眠、家族に大腸ポリープが出来た人【大腸ポリープの原因 [続きを読む]
  • 高齢者の減額認定証
  • ・高齢者の減額認定証各病院には自己負担限度額制度があります【限度額適用・標準負担額減額認定証、特定疾病療養受療証】75歳になられる方で認定証(受療証)の交付を希望される方 お住まいの市町村の窓口で手続を行っていただくことになります。▼限度額適用・標準負担額減額認定証  ▼特定疾病療養受療証 [続きを読む]
  • PHPでPHPMailerを使うには
  • PHPでPHPMailerを使うには【開発環境】 xampp 1.8.3 PHP 5.5.9 Eclipse 4.4PHPMailer 5.2.25【PHPMailerのダウンロード】ダウンロードページ:https://github.com/PHPMailer/PHPMailer1)hpのBranch:masterの▼を し、「Tags」を 、「v5.2.25」を選ぶ2)グリーン色のボタンを すると、「Download zip」が現れるので、それを するとダウンロードが開始される。【PHPMailerのインストール】これを参照に [続きを読む]
  • PHPからSQliteに接続するには
  • PHPからSQliteに接続するには【開発環境】xampp 1.8.3PHP 5.5.9SQLite バージョン 3.7.7.1 Eclipse 4.4■PHPから簡易データベース「SQlite」を利用する方法が書いて無かったでここに記すサイト→DBonlineより1)SQLiteのダウンロード→http://www.sqlite.org/2)ファイルの解凍先→C;¥xampp¥sqlite3(自分の好きな所を選ぶ)3)SQLiteコマンドラインツールのテスト【コマンドプロンプト】C:Usershiromi>cd C:xamppsqlite3・デー [続きを読む]
  • PDOを利用してSQLiteへ接続
  • PDOを利用してSQLiteへ接続【開発環境】 xampp 1.8.3 PHP 5.5.9 SQLite バージョン 3.7.7.1 Eclipse 4.4【SQLite】1)コマンドプロンプトからデータベース「uriage」を作成・フォルダーを変えるC:Usershiromi>cd C:xamppsqlite3・データベース「uriage」を作るC:xamppsqlite3>sqlite3 uriage.sqlite3SQLite version 3.19.3 2017-06-08 14:26:16Enter ".help" for usage hints.sqlite>・テーブルを作るsqlite> create table shouhi [続きを読む]
  • PostgreSQLにおけるロール
  • PostgreSQLにおけるロール【開発環境】xampp 1.8.3 PHP 5.5.9 PostgreSQL 9.5.7 Eclipse 4.4■ロール(ユーザー)についてPostgreSQLにおいては接続の為のログインの管理やデータベースなどへの各権限の設定をロール単位で行います1)ロールの確認C:Usershiromi>psql -U postgrespsql (9.5.7)"help" でヘルプを表示します.postgres=# postgres=# select rolname from pg_roles; rolname------------ postgres testuser sampleuser [続きを読む]
  • PDO使ってPostgreSqlに接続するには
  • PDO使ってPostgreSqlに接続するには【開発環境】xampp 1.8.3PHP 5.5.9PostgreSQL 9.5.7Eclipse 4.4【PostgreSQL側の準備】1)PostgreSQLを立ち上げるC:>psql -U postgrespsql (9.5.7)"help" でヘルプを表示します2)データベース「uriage」を作成postgres=# create database uriage;CREATE DATABASEpostgres=#3)データベースの確認postgres=# ¥l参考までにユーザーを確認postgres=# ¥du4)データベースに接続するpostgres=# ¥ [続きを読む]
  • PDOの利用
  • データベースのPDO利用について【開発環境】xampp 1.8.3PHP 5.5.9【PDOとは】・PDO(PHP Data Object)は、PHP 5から利用できるデータアクセス抽象化レイヤです。PDOを利用すると、高機能で共通化されたインターフェイスとPHP 5の機能をふんだんに使ったデータアクセスを実現できます。・PEAR::DBとの違いPEAR::DBやPEAR::MDBなどは、PHPで用意されている多くのネイティブなデータベースアクセスのための関数をPHPスクリプトでまと [続きを読む]
  • pgAdmin?操作について
  • pgAdmin?操作について【環境条件】 win10 PostgreSQL 9,5 pgAdmin? 【pgAdmin?のインストール】 PostgreSQLのダウンロード及びインストールを参照すること、必ずPostgreSQL-9.5バージョンを選ぶことじゃないと、pgAdmin?の日本語版が手に入らない 【pgAdmin?の操作】 1)像のアイコンを し、pgAdmin?を立ち上げる 2)もし、サーバーグループにサーバが無かったら、サーバー作成をする 3)メニューバーの「ファイル [続きを読む]
  • PostgreSQLでテーブルを作成するには
  • PostgreSQLでテーブルを作成するには■SQL文(クエリー)についてSQL言語は、データーベースを操作する言葉のため、殆どのデーターベースに対応するので、自分にあったデーターベースと共にSQL言語を学んでくださいPostgreSQL→PostgreSQL 9.4.5文書→PostgreSQLの基本コマンド■テーブル1)テーブル作成SQL文(クエリー)create table table_name (column_name1 column_type, column_name2 column_type, …);2)テーブル定義の [続きを読む]
  • 「psql」コマンドのまとめ
  • 「psql」コマンドのまとめ【環境条件】win10psql (PostgreSQL) 9.5.7■psqlコマンドについてPostgreSQLに付属されているツールで、データベースの管理をしたり、SQL文を実行したりすることが出来るPostgreSQL の会話型ターミナル1)確認の仕方C:Usershiromi>psql --help使用方法: psql [オプション]... [データベース名 [ユーザ名]]一般的なオプション: -c, --command=コマンド (SQLまたは内部の)単一コマンドを一つだけ実行 [続きを読む]
  • PostgreSQLのダウンロード及びインストールするには
  • PostgreSQLのダウンロード及びインストールするには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.3 PostgreSQLについては→PostgreSQL 超入門注意;日本語のpgAdminIIIが使いたい時はPostgreSQL-9.5バージョンを選択しなけれなならない。最新版は日本語に対応して無い【PostgreSQLのダウンロード】1.下記のホームページからPostgreSQLをダウンロードする→https://www.postgresql.org/2.「Download」メニューを 3.「Windows [続きを読む]
  • EclipseでPealを動かすには
  • EclipseでPealを動かすには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.3 Pealは既にXAMPPにインストール済み参照サイト→【Perl】Windows+Eclipseで開発環境を構築する手順→Eclipse(Pleiades) で、どうしても Perl を書きたいときには【Perlのインストール手順】1)Eclipse のヘルプメニューから「新規ソフトウェアのインストール…」を選択2)「使用可能なソフトウェア」画面の「追加」ボタンを します3)レポジトリーの [続きを読む]
  • ルナのPHPプロジエクトからHTMLを起動するには
  • ルナのPHPプロジエクトからHTMLを起動するには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.3  PHP 5.5.9【手順】Eclipse 4.4を使ってHTMLファイルを作成【pre.html】<!DOCTYPE html><html><head><meta charset="UTF-8"><title>整形済みテキスト</title></head><body><!-- 整形済みテキスト --><pre>if (xx > 5) { print "大きい!!n";}</pre></body></html>1)pre.htmlファイルを する2)「実 [続きを読む]
  • 自分自身にPOSTするには
  • 自分自身にPOSTするには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.3(PHPUnitが含まれている) PHP 5.5.9【プログラムの訂正箇所】サイト「PHPbookの投稿した内容を画面表示」のままだとエラーが出るので次のように改良した。<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><head><title>PHP TEST</title></head><body><p>掲示板</p><form method="POST" action="<?php print($_SER [続きを読む]
  • DOCTYPE宣言について
  • DOCTYPE宣言について・DOCTYPE宣言とはその文書がHTMLやXHTMLのどのバージョンで作成されているかを宣言するもので、タグ言語の冒頭にDOCTYPE宣言をしなければならない。無いと互換モードで表示されてしまうため、必ず設置して置くHTML5で書いたサンプル<!DOCTYPE html><html><head><title>HTML5サンプル</title></head><body><p>HTML5で記述したサンプル</p></body></html>■HTML4.01の3種類のDTD1)HTML 4 [続きを読む]
  • <?= は<?php echo のショートタグ
  • <?= は<?php echo のショートタグ【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.3(PHPUnitが含まれている) PHP 5.5.9<?php echo のショートタグである<?=を使うにはphp.iniのshort_open_tag = on の;を外す事!ただし、< ?xml 〜? >を短縮は出来ない。<?〜?>はすべて<?PHP〜?>に成ってしまう。参照サイト→short_open_tagのON/OFF [続きを読む]
  • PHPUnitをEclipseから実行できるプラグイン「MakeGood」
  • PHPUnitをEclipseから実行できるプラグイン「MakeGood」【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.2(PHPUnitが含まれている) PHP 5.4.19既に、Composerがインストールされ、Xdebug(このブログを見よ)が設定されている状態である事。参照サイト→悠雀堂ブログ:PHPの開発環境を構築する(その4): PHPUnit+MakeGoodを使う■MakeGoodのインストール方法1)Eclipseを起動し、上部メニューから「ヘルプ>新規ソフトウェアのイ [続きを読む]
  • Xamppに依存性管理ツールComposerをインストするには
  • Xamppに依存性管理ツールComposerをインストするには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.2(PHPUnitが含まれている) PHP 5.4.19ComposerとはPEARと同じくPHPでのライブラリ管理ツールの一つで、主にライブラリの依存関係を管理するツールがComposerに成ります。具体的には、あるライブラリをインストールする前に、特定のライブラリをインストールしなければ、いけないなどの、依存関係を自動的にインストールしてくれる [続きを読む]
  • EclipseでXdebugを使うには
  • EclipseでXdebugを使うには【環境条件】Eclipse 4.4(ルナ)XAMPP 1.8.2PHP 5.4.19すでにXdebugがインストール済み■デバッガーXdebugを有効にする→「php.ini」の設定変更を行う[XDebug]セクションzend_extension = "C:xamppphpextphp_xdebug.dll"の;を外す;変更xdebug.profiler_enable = 1の;を外し、0から1に変える;変更xdebug.remote_enable = 1の;を外し、0から1に変える以上変更したら、アパッチを再起動させる。■Eclipse側 [続きを読む]